%!TEX root = ../main.tex

% #1 -> Genitiv
% #2 -> id
% #3 -> Kürzel
% #4 -> Ausgeschrieben
% #5 -> Beschreibung
\newcommand{\newac}[5][none]{
	\newglossaryentry{#2g}{
		type=\glsdefaulttype,
		name={#4 (#3)},
		text={#4},
		description={#5}
	}
	\edef\mytemp{{#1}}
	\expandafter\ifstrequal\mytemp{none}{
		\newglossaryentry{#2}{
			type=\acronymtype,
			name={#3},
			text={#3},
			description={\glslink{#2g}{#4}},
			first={#4 (#3)},
		}
	}{
		\newglossaryentry{#2}{
			type=\acronymtype,
			name={#3},
			text={#3},
			description={\glslink{#2g}{#4}},
			first={#4 (#3)},
			genitive={#1},
			genFirst={#1 (#3)}
		}
	}
}

\newcommand{\newfigure}[4][1]{
	\begin{figure}[h]
		\centering
		\makebox[\textwidth][c]{\includegraphics[scale=#1]{../images/#2}}
		\caption{#4}
		\label{#3}
	\end{figure}
}

\newcommand{\newsvg}[3][]{
	\begin{figure}[h]
		\centering
		\includesvg{#1}
		\caption{#3}
		\label{#2}
	\end{figure}
}

\newcommand{\fncite}[2][]{
	\ifthenelse{\isempty{#1}}{
		\footnote{siehe \cite{#2}}
	}{
		\footnote{siehe \cite[#1]{#2}}
	}
}

\newcommand{\newlisting}[4]{
	\begin{minipage}{\linewidth}
		\lstinputlisting[
			label = listing:#1,
			language = #2,
			style = #2,
			caption = #4,
			title = #3
		]{../sourcecode/src/#1}
	\end{minipage}
	
}

\newcommand{\inlinecode}[2]{
	\colorbox{darkgray}{\textcolor{#1}{#2}}
}

\newcommand{\inlineannotation}[1]{\inlinecode{JavaAnnotation}{#1}}